Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression
Class OutboundAttachmentsMap

    java.lang.Object
      org.mule.expression.OutboundAttachmentsMap

All Implemented Interfaces:
  Map<String,DataHandler>

    public class OutboundAttachmentsMap

extends Object
implements Map<String,DataHandler>

Creates a wrapper around Mule Message with a MAp facade used for allowing developers to add attachments to an outgoing message in a transformer of component without needing to access the Mule API directly

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`OutboundAttachmentsMap(MuleMessage message)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<String,DataHandler>>` | `entrySet()`
`DataHandler` | `get(Object key)`
`boolean` | `isEmpty()`
`Set<String>` | `keySet()`
`DataHandler` | `put(String key, DataHandler value)`
`DataHandler` | `put(String key, Object value, String contentType)`
`void` | `putAll(Map<? extends String,? extends DataHandler> map)`
`DataHandler` | `remove(Object key)`
`int` | `size()`
`Collection<DataHandler>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### OutboundAttachmentsMap

    public OutboundAttachmentsMap(MuleMessage message)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map<String,DataHandler>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<String,DataHandler>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<String,DataHandler>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<String,DataHandler>`

### get

    public DataHandler get(Object key)

  Specified by:
    `get` in interface `Map<String,DataHandler>`

### put

    public DataHandler put(String key,
                           DataHandler value)

  Specified by:
    `put` in interface `Map<String,DataHandler>`

### put

    public DataHandler put(String key,
                           Object value,
                           String contentType)

### remove

    public DataHandler remove(Object key)

  Specified by:
    `remove` in interface `Map<String,DataHandler>`

### putAll

    public void putAll(Map<? extends String,? extends DataHandler> map)

  Specified by:
    `putAll` in interface `Map<String,DataHandler>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,DataHandler>`

### keySet

    public Set<String> keySet()

  Specified by:
    `keySet` in interface `Map<String,DataHandler>`

### values

    public Collection<DataHandler> values()

  Specified by:
    `values` in interface `Map<String,DataHandler>`

### entrySet

    public Set<Map.Entry<String,DataHandler>> entrySet()

  Specified by:
    `entrySet` in interface `Map<String,DataHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.